## TomoeShelf

TomoeShelf — An object of dictionaries.

## Synopsis

                        TomoeShelf;
    TomoeShelf*         tomoe_shelf_new                     (void);
    TomoeDict*          tomoe_shelf_get_dict                (TomoeShelf *shelf,
                                                             const gchar *name);
    void                tomoe_shelf_register_dict           (TomoeShelf *shelf,
                                                             const gchar *name,
                                                             TomoeDict *dict);
    gboolean            tomoe_shelf_unregister_dict         (TomoeShelf *shelf,
                                                             const gchar *name);
    GList*              tomoe_shelf_get_dict_names          (TomoeShelf *shelf);
    gboolean            tomoe_shelf_has_dict                (TomoeShelf *shelf,
                                                             const gchar *name);

## Object Hierarchy

      GObject
       +----TomoeShelf

## Description

## Details

### TomoeShelf

    typedef struct _TomoeShelf TomoeShelf;

The TomoeShelf struct contains only private fields and should not be directly accessed.

### tomoe_shelf_new ()

    TomoeShelf*         tomoe_shelf_new                     (void);

Returns : |

### tomoe_shelf_get_dict ()

    TomoeDict*          tomoe_shelf_get_dict                (TomoeShelf *shelf,
                                                             const gchar *name);

`shelf` : |
`name` : |
Returns : |

### tomoe_shelf_register_dict ()

    void                tomoe_shelf_register_dict           (TomoeShelf *shelf,
                                                             const gchar *name,
                                                             TomoeDict *dict);

`shelf` : |
`name` : |
`dict` : |

### tomoe_shelf_unregister_dict ()

    gboolean            tomoe_shelf_unregister_dict         (TomoeShelf *shelf,
                                                             const gchar *name);

`shelf` : |
`name` : |
Returns : |

### tomoe_shelf_get_dict_names ()

    GList*              tomoe_shelf_get_dict_names          (TomoeShelf *shelf);

`shelf` : |
Returns : |

### tomoe_shelf_has_dict ()

    gboolean            tomoe_shelf_has_dict                (TomoeShelf *shelf,
                                                             const gchar *name);

`shelf` : |
`name` : |
Returns : |